Returns Polling Delta API

The Return Polling Delta API is used to fetch all the return requests raised in the Clickpost system in a 60 minute window. This can be considered as a fallback mechanism to the Return Request Received Webhook mentioned above that is already in place to share this data.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Important Links

Run in Postman API Guide

Response

meta [meta parameters]

Field NameData TypeDescription
successBooleanIndicates the success of the API request
messageStringThe message from Clickpost. In case of success it will be "SUCCESS". In that case there are no carrier partners that are servicing the pincodes , it will be ”Pin code not serviceable"
statusHTTP CodeThe HTTP response status code of the API request

result [result parameters]

Field NameData TypeDescription
return_reference_numberStringUnique Return Identifier
statusStringStatus of the return request
return_request_timestampStringThe date and time of the return request in UTC
cp_idNumberThe carrier partner id
cp_nameStringCarrier partner name
account_codeStringRegistered account code for the carrier partner
return_tracking_idNumberThe return tracking ID
awbStringAir Waybill number of the reverse shipment
timestampStringTimestamp in UTC of the return request
refund_modeStringMode of refund for the return order
sourceStringSource from where the return request was placed
webhook_payloadJson ObjectReverse shipment details
waybillStringAir Waybill number of the reverse shipment
webhook_payload.cp_idNumberThe carrier partner id
statusStringStatus of the return order
locationStringLocation of the return order
clickpost_status_codeNumberThe clickpost tracking status.
Reference
notification_eventNumberThe clickpost notification event code https://docs.clickpost.ai/docs/notification-event
clickpost_status_descriptionStringClickpost tracking status description
clickpost_status_bucket_descriptionStringDescription of the Clickpost status bucket
remarkStringRemark sent by the carrier partner
webhook_payload.account_codeStringRegistered account code for the carrier partner
additionalJSON ObjectAdditional details for the return order
latest_statusJSON ObjectThe latest status of the return order
  1. location
  2. remark
  3. clickpost_status_code
  4. clickpost_status_description
  5. clickpost_status_bucket
    6.clickpost_status_bucket_description
  6. timestamp
  7. status
additional.sourceStringSource from where the return request was placed
forward_order_idStringForward shipment order ID
is_rvpBooleanIndicates if the order is reverse
forward_awbStringForward shipment AWB number
forward_reference_numberStringForward shipment reference number
notification_event_idNumberNotification event ID
self_shippedBooleanIndicates if the shipment was self-shipped
item_infoArrayList of returned items
skuStringStock Keeping Unit of the returned item
quantityNumberQuantity of the returned item
return_reasonStringReason for the return
item_info[].refund_modeStringRefund mode for the returned item
customer_commentStringCustomer comment
idStringItem ID
return_modeStringMode of return (e.g., REFUND)
descriptionStringItem description
return_sub_reasonStringDetailed sub-reason for return
imagesStringImage URL of the returned item
customer_uploaded_imagesStringURL(s) of customer-uploaded images
shopify_line_item_idStringShopify line item ID
additional.return_reference_numberStringReturn reference number
drop_store_idStringDrop store ID
return_pickup_phone_numberStringPhone number for pickup
return_pickup_addressStringPickup address
return_phone_numberStringReturn contact phone number
return_addressStringReturn address
webhook_payload.clickpost_status_bucketNumberClickPost status bucket code
webhook_payload.timestampStringTimestamp in UTC
webhook_payload.return_reference_numberStringReturn reference number
customer_nameStringCustomer name
request_placed_timeStringTime when the request was placed
pickup_infoObjectPickup details
pickup_info.customer_nameStringPickup customer name
customer_emailStringPickup customer email
customer_phone_numberStringPickup customer phone number
pickup_stateStringPickup state
pickup_addressStringPickup address
pickup_pincodeStringPickup postal code
pickup_cityStringPickup city
pickup_countryStringPickup country
Query Params
string
required

Enter the API key given to you by the clickpost onboarding team

string
required

Username of the Enterprise given Clickpost team

date-time
required
Defaults to 2025-08-09T11:00:00

Start time for which the returns needs to be retrieved

date-time
required
Defaults to 2025-08-09T11:55:00

End time for which the returns needs to be retrieved

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json